{% extends 'core/base.html' %}

{% load static %}

{% block contenido %}
{% load humanize %}

<div class = "title text-center py-5">
  <h1>Listado Productos</h1>

<div class="row mx-5">
{% for p in productos %}
<!-- Card 1-->
<div class="col">
  
  <div class="card" style="width: 20rem;">
    {% if p.imagen %}
    <img src="{{ p.imagen.url }}" class="card-img-top" alt="imagen">
    {% endif %}
    <div class="card-body">
        <h5 class="card-title">{{p.nombre}}</h5>
        <p class="card-text">{{p.artista}}</p>


      <!-- Boton Modal-->
      <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
      Más detalles
      </button>

    </div>
  </div>
</div>


      <!-- Modal -->
      <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h1 class="modal-title fs-5" id="exampleModalLabel">Información del producto</h1>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <p>Nombre: {{p.nombre}}</p>
          <p>Precio: ${{p.precio | intcomma}}</p>
          <p>Descripción: {{p.descripcion}}</p>
          <p>Autor: {{p.artista}}</p>
        </div>
    <div class="modal-footer">

        <button type="button" class="btn btn-primary" data-bs-dismiss="modal">Aceptar</button>

       
    </div>
  </div>
  
</div>

</div>

{% endfor %}






{% endblock %}